// License: GPLv3 or later
// Author: AdmSasha <dik@inbox.ru>

#include "cChroot.h"
#include "functions.h"

cChroot::cChroot(map<string,string> options){
    this->options=options;
    
    // Check required parameters (Проверка обязательных параметров)
    if (options["chroot_dir"]==""){
	std::cout << _("No parameter chroot_dir") << std::endl;
	exit(0);
    }
}

int cChroot::mountDev(){
    string chroot_dir=options["chroot_dir"];

    pbsMount("/proc",chroot_dir+"/proc");
    pbsMount("/sys",chroot_dir+"/sys");
    pbsMount("/dev",chroot_dir+"/dev");
    pbsMount("/dev/pts",chroot_dir+"/dev/pts");

    return 0;
}

int cChroot::umountDev(){
    string chroot_dir=options["chroot_dir"];

    exec_cmd("umount "+chroot_dir+"/dev/pts");
    exec_cmd("umount "+chroot_dir+"/dev");
    exec_cmd("umount "+chroot_dir+"/sys");
    exec_cmd("umount "+chroot_dir+"/proc");

    return 0;
}
